package com.prolog.rdc.tms.service;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.*;
import com.prolog.rdc.tms.model.dto.shipbill.BmsLogOperationDTO;
import com.prolog.rdc.tms.model.vo.DriverSettlementOrderUpdateVO;
import com.prolog.rdc.tms.model.vo.DriverSettlementQueryVO;
import com.prolog.rdc.tms.model.vo.SettlementFeeQueryVO;
import com.prolog.rdc.tms.model.vo.settlement.driver.DriverFeeSettlementPageVO;

import java.text.ParseException;
import java.util.List;

public interface DriverCloseAccountService {

    Page<DriverSettlementOrderDTO> findList(DriverSettlementQueryVO vo) throws ParseException;

    Page<DriverCloseAccountBillDTO> findLoading(DriverFeeSettlementPageVO vo);

    DriverSettlementOrderDetailDTO detail(Long id);

    void update(DriverSettlementOrderUpdateVO vo);

    void audit(List<Long> ids);

    Page<BmsPayFeeDetailDTO> feeList(SettlementFeeQueryVO id);

    List<BmsLogOperationDTO> findListForLog(Long id);

    void invalid(Long id);
}
